Add (watch) to Special:Contributions
Closed, DeclinedPublic

Description

Author: johnnymrninja

Description:
Would it be possible to add (watch) to User contributions, next to (hist) and (diff)? The two reasons I think it'd be helpful is when A) I've made a lot of small edits and want to make sure I've watched all the pages and B) when following the edits of a problem user. If I could just tear through a category of edits, and then watch everything at the end things would go so much faster. I don't see any downside to it this side of coding.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz15093.
bzimport created this task.Via LegacyAug 9 2008, 5:04 AM
siebrand added a comment.Via ConduitAug 10 2008, 10:17 PM

(a) should be done through your preferences. Go to the tab "Watchlist" and check the 4 boxes at the bottom (watch pages I create/edit/move/delete).
(b) if you have to watch more than a handful or pages related to a problem user, just block him. I do not see a reason to add this, as the use case is extremely specialised, and the links would appear in the contributions links for everyone, cluttering the UI.

WONTFIX, if I would decide.

bzimport added a comment.Via ConduitAug 11 2008, 11:50 PM

robert wrote:

Adds a watch link beside every entry within Special:Contributions when logged in

Adds a watch or unwatch link beside every entry within Special:Contributions when logged in. Possible issues:

  • Takes user away from the page, it is easy to return (via the back button) and so isn't significant - an AJAX solution would be nice though (perhaps as a follow up bug though).
  • Uses strtolower on the translation which may or may not be an issue, since although it is a one word this could still be problematic dependant on language. Another message should be added for this if this does turn out to be bad.
  • Once the user is taken to the watch\unwatch confirmation page the return link is to the page they have watched, rather than Special:Contributions - tried using returnto= but this does not work.

Attached: diff.diff

bzimport added a comment.Via ConduitAug 12 2008, 12:00 AM

robert wrote:

Consensus is to close as WONTFIX as it is clutter (could be implemented as a gadget if desired, and probably done more effectively that way).

bzimport added a comment.Via ConduitAug 12 2008, 12:01 AM

ayg wrote:

Agree with WONTFIX, this seems cluttery. I don't find the use-case compelling enough to add another button here. In fact, it doesn't really make sense. If it's a problem user, you should be looking at their diffs, not at *subsequent* edits by *other people* to the page they just edited. And as for you, well, you can watch all pages you edit by default. That should be enough.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.